location /filebrowser/ {
		auth_request /vouch/validate;
		auth_request_set $auth_resp_x_vouch_user $upstream_http_x_vouch_user;
		proxy_set_header X-Vouch-User $auth_resp_x_vouch_user;
		add_header X-Vouch-User $auth_resp_x_vouch_user;
		client_max_body_size                    2048m;
		proxy_read_timeout                      86400s;
		proxy_send_timeout                      86400s;
		proxy_set_header                        X-Forwarded-Host $host;
		proxy_set_header                        X-Forwarded-Server $host;
		proxy_set_header                        X-Real-IP $remote_addr;
		proxy_set_header                        Host $host;
		proxy_set_header                        X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_http_version                      1.1;
		proxy_redirect                          off;
		proxy_set_header                        Upgrade $http_upgrade;
		proxy_set_header                        Connection "upgrade";

		proxy_pass http://filebrowser:80/filebrowser/;
	}